﻿// ------------------------------------------------------------------------------
//  <auto-generated>
//      This code was generated by SpecFlow (http://www.specflow.org/).
//      SpecFlow Version:1.9.0.77
//      SpecFlow Generator Version:1.9.0.0
//      Runtime Version:4.0.30319.18444
// 
//      Changes to this file may cause incorrect behavior and will be lost if
//      the code is regenerated.
//  </auto-generated>
// ------------------------------------------------------------------------------
#region Designer generated code
#pragma warning disable
namespace WSS.AAT.Scenarios.PosIntegration
{
    using TechTalk.SpecFlow;
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("TechTalk.SpecFlow", "1.9.0.77")]
    [System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
    [NUnit.Framework.TestFixtureAttribute()]
    [NUnit.Framework.DescriptionAttribute("Sale")]
    [NUnit.Framework.CategoryAttribute("PosIntegration")]
    public partial class SaleFeature
    {
        
        private static TechTalk.SpecFlow.ITestRunner testRunner;
        
#line 1 "Sale.feature"
#line hidden
        
        [NUnit.Framework.TestFixtureSetUpAttribute()]
        public virtual void FeatureSetup()
        {
            testRunner = TechTalk.SpecFlow.TestRunnerManager.GetTestRunner();
            TechTalk.SpecFlow.FeatureInfo featureInfo = new TechTalk.SpecFlow.FeatureInfo(new System.Globalization.CultureInfo("en-US"), "Sale", "  In order to test sale transaction processing\n  As a developer\n  I should check " +
                    "different transaction scenarios to be processed correctly.", ProgrammingLanguage.CSharp, new string[] {
                        "PosIntegration"});
            testRunner.OnFeatureStart(featureInfo);
        }
        
        [NUnit.Framework.TestFixtureTearDownAttribute()]
        public virtual void FeatureTearDown()
        {
            testRunner.OnFeatureEnd();
            testRunner = null;
        }
        
        [NUnit.Framework.SetUpAttribute()]
        public virtual void TestInitialize()
        {
        }
        
        [NUnit.Framework.TearDownAttribute()]
        public virtual void ScenarioTearDown()
        {
            testRunner.OnScenarioEnd();
        }
        
        public virtual void ScenarioSetup(TechTalk.SpecFlow.ScenarioInfo scenarioInfo)
        {
            testRunner.OnScenarioStart(scenarioInfo);
        }
        
        public virtual void ScenarioCleanup()
        {
            testRunner.CollectScenarioErrors();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Save sale to ledger")]
        public virtual void SaveSaleToLedger()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Save sale to ledger", ((string[])(null)));
#line 7
this.ScenarioSetup(scenarioInfo);
#line 8
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 9
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 10
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 11
    testRunner.Then("There is sale in BO db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 12
    testRunner.And("Merchandice amount equal 169.85", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 13
    testRunner.And("Non merchandice amount equal 0", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 14
    testRunner.And("Total amount equal 169.85", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 15
    testRunner.And("There is line with 5 SKU 500300", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Sale includes information about cash payment")]
        public virtual void SaleIncludesInformationAboutCashPayment()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Sale includes information about cash payment", ((string[])(null)));
#line 17
this.ScenarioSetup(scenarioInfo);
#line 18
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 19
    testRunner.And("Was paid by cash for 169.85 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 20
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 21
    testRunner.Then("There is cash payment for 169.85 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Save parked sale transaction to ledger")]
        public virtual void SaveParkedSaleTransactionToLedger()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Save parked sale transaction to ledger", ((string[])(null)));
#line 23
this.ScenarioSetup(scenarioInfo);
#line 24
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 25
    testRunner.And("Transaction was parked", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 26
    testRunner.And("Customer name is Vasily", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 27
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 28
    testRunner.Then("There is parked sale in BO db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 29
    testRunner.And("Customer info for Vasily is added to db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Sale includes information about card payment with null Issue Number Switch")]
        public virtual void SaleIncludesInformationAboutCardPaymentWithNullIssueNumberSwitch()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Sale includes information about card payment with null Issue Number Switch", ((string[])(null)));
#line 31
this.ScenarioSetup(scenarioInfo);
#line 32
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 33
    testRunner.And("Was paid by Visa credit card for 169.85 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 34
    testRunner.And("The Card Payment has null Issue Number Switch", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 35
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 36
    testRunner.Then("There is Visa card payment for 169.85 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 37
    testRunner.And("Information about tokens and hashes was saved", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 38
    testRunner.And("In db Issue Number Switch for card payment is empty", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Sale inits new trading period")]
        public virtual void SaleInitsNewTradingPeriod()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Sale inits new trading period", ((string[])(null)));
#line 40
this.ScenarioSetup(scenarioInfo);
#line 41
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 42
    testRunner.And("In safe there is only one line for three days earlier date", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 43
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 44
    testRunner.Then("There are lines in safe for new trading period", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Saves flag if transaction is voided")]
        public virtual void SavesFlagIfTransactionIsVoided()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Saves flag if transaction is voided", ((string[])(null)));
#line 46
this.ScenarioSetup(scenarioInfo);
#line 47
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 48
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 49
    testRunner.And("Transaction was voided", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 50
    testRunner.And("Till number was 1", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 51
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 52
    testRunner.Then("There is sale in BO db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 53
    testRunner.And("There is line with 5 SKU 500300", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 54
    testRunner.And("Till 1 virtual cashier cash balance changed by 0", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 55
    testRunner.And("Till 1 virtual cashier number of voids changed by 1", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Saves info about applied VATs")]
        public virtual void SavesInfoAboutAppliedVATs()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Saves info about applied VATs", ((string[])(null)));
#line 57
this.ScenarioSetup(scenarioInfo);
#line 58
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 59
    testRunner.And("5 SKU 500300 was sold with VAT rate 20", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 60
    testRunner.And("2 SKU 100006 was sold with VAT rate 20", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 61
    testRunner.And("1 SKU 100004 was sold with VAT rate 5", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 62
    testRunner.And("1 SKU 100005 was sold with VAT rate 15", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 63
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 64
    testRunner.Then("VAT value of line for SKU 500300 is equal to 28.31", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 65
    testRunner.Then("VAT value of line for SKU 100006 is equal to 98.67", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 66
    testRunner.Then("VAT value of line for SKU 100004 is equal to 0.38", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 67
    testRunner.Then("VAT value of line for SKU 100005 is equal to 70.30", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 68
    testRunner.And("Total VAT value for VAT rate of 20 persents is equal to 126.98", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 69
    testRunner.And("Total VAT value for VAT rate of 5 persents is equal to 0.38", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 70
    testRunner.And("Total VAT value for VAT rate of 15 persents is equal to 70.30", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Sale includes information about cheque payment")]
        public virtual void SaleIncludesInformationAboutChequePayment()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Sale includes information about cheque payment", ((string[])(null)));
#line 72
    this.ScenarioSetup(scenarioInfo);
#line 73
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 74
    testRunner.And("Was paid by cheque for 169.85 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 75
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 76
    testRunner.Then("There is cheque payment for 169.85 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Sale includes information about gift card payment")]
        public virtual void SaleIncludesInformationAboutGiftCardPayment()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Sale includes information about gift card payment", ((string[])(null)));
#line 78
    this.ScenarioSetup(scenarioInfo);
#line 79
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 80
    testRunner.And("Was paid by GiftCard for 169.85 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 81
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 82
    testRunner.Then("There is GiftCard payment for 169.85 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 83
 testRunner.And("Gift card amount in db is 169.85", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 84
    testRunner.And("Information about tokens and hashes was saved", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 85
    testRunner.And("There is information about GiftCard in DB", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Sale includes information about lines reverted in transaction")]
        public virtual void SaleIncludesInformationAboutLinesRevertedInTransaction()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Sale includes information about lines reverted in transaction", ((string[])(null)));
#line 87
    this.ScenarioSetup(scenarioInfo);
#line 88
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 89
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 90
    testRunner.And("1 SKU 100006 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 91
    testRunner.And("Stock for 500300 was 55", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 92
    testRunner.And("Line for SKU 500300 is reversed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 93
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 94
    testRunner.Then("Lines for SKU 500300 are reversed with reason code \'\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 95
    testRunner.And("Amount of reversed lines for till virtual cashier increased by 1", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 96
    testRunner.And("Stock for 500300 is 55", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Sale includes information about multiple lines reverted in transaction")]
        public virtual void SaleIncludesInformationAboutMultipleLinesRevertedInTransaction()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Sale includes information about multiple lines reverted in transaction", ((string[])(null)));
#line 98
    this.ScenarioSetup(scenarioInfo);
#line 99
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 100
    testRunner.And("1 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 101
    testRunner.And("1 SKU 100005 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 102
    testRunner.And("1 SKU 100006 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 103
    testRunner.And("Line for SKU 500300 is reversed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 104
    testRunner.And("Line for SKU 100006 is reversed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 105
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 106
    testRunner.Then("Amount of reversed lines for till virtual cashier increased by 2", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Sale includes information about multiple payments")]
        public virtual void SaleIncludesInformationAboutMultiplePayments()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Sale includes information about multiple payments", ((string[])(null)));
#line 108
    this.ScenarioSetup(scenarioInfo);
#line 109
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 110
    testRunner.And("Was paid by cash for 150 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 111
    testRunner.And("Was paid by Visa credit card for 19.85 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 112
    testRunner.And("Till number was 1", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 113
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 114
    testRunner.Then("There is cash payment for 150 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 115
    testRunner.And("There is Visa card payment for 19.85 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 116
    testRunner.And("Total till 1 virtual cashier balance changed by 169.85", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 117
    testRunner.And("Till 1 virtual cashier balance for Visa credit card changed by 19.85", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 118
    testRunner.And("Till 1 virtual cashier balance for cash changed by 150", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 119
    testRunner.And("Information about tokens and hashes was saved", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Sale included information about line quantity")]
        public virtual void SaleIncludedInformationAboutLineQuantity()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Sale included information about line quantity", ((string[])(null)));
#line 121
    this.ScenarioSetup(scenarioInfo);
#line 122
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 123
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 124
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 125
    testRunner.Then("There is line with 5 SKU 500300", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Sale included information about multiple lines")]
        public virtual void SaleIncludedInformationAboutMultipleLines()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Sale included information about multiple lines", ((string[])(null)));
#line 127
    this.ScenarioSetup(scenarioInfo);
#line 128
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 129
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 130
    testRunner.And("2 SKU 100006 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 131
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 132
    testRunner.Then("There is line with 5 SKU 500300", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 133
    testRunner.Then("There is line with 2 SKU 100006", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Sale includes information about cash change")]
        public virtual void SaleIncludesInformationAboutCashChange()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Sale includes information about cash change", ((string[])(null)));
#line 135
    this.ScenarioSetup(scenarioInfo);
#line 136
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 137
    testRunner.And("Was paid by cash for 200 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 138
    testRunner.And("Cash change was executed for 30.15 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 139
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 140
    testRunner.Then("There is cash payment for 200 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 141
    testRunner.And("There is cash change for 30.15 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Stklog date of movement is always now")]
        public virtual void StklogDateOfMovementIsAlwaysNow()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Stklog date of movement is always now", ((string[])(null)));
#line 143
    this.ScenarioSetup(scenarioInfo);
#line 144
    testRunner.Given("Sale happened yesterday", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 145
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 146
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 147
    testRunner.Then("Stklog date of movement for SKU 500300 is equal today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Save sale transaction which was recalled from parked to ledger")]
        public virtual void SaveSaleTransactionWhichWasRecalledFromParkedToLedger()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Save sale transaction which was recalled from parked to ledger", ((string[])(null)));
#line 149
    this.ScenarioSetup(scenarioInfo);
#line 150
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 151
    testRunner.And("Transaction was parked", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 152
    testRunner.And("Customer name is Vasily", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 153
    testRunner.And("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 154
    testRunner.When("The previous parked transaction was recalled and completed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 155
    testRunner.And("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 156
    testRunner.Then("There is sale in BO db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 157
    testRunner.And("Parked transaction is stated as recalled", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Sale includes information about applied colleague discount")]
        public virtual void SaleIncludesInformationAboutAppliedColleagueDiscount()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Sale includes information about applied colleague discount", ((string[])(null)));
#line 159
    this.ScenarioSetup(scenarioInfo);
#line 160
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 161
    testRunner.And("1 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 162
    testRunner.And("Collegue Discount amount for SKUs 500300 is 6.79", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 163
    testRunner.And("Was paid by cash for 27.18 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 164
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 165
    testRunner.Then("Where is sale in BO db with total amount equal 27.18, discount equal 6.79, tax am" +
                    "ount equal 4.53, value added tax equal 4.53", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 166
    testRunner.And("There is information about employee card number in BO db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 167
    testRunner.And("There is line for SKU 500300 with price equal 27.18, amount equal 27.18, discount" +
                    " equal 6.79, value added tax equal 4.53", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Sale includes information about colleague discount applied to several SKUs")]
        public virtual void SaleIncludesInformationAboutColleagueDiscountAppliedToSeveralSKUs()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Sale includes information about colleague discount applied to several SKUs", ((string[])(null)));
#line 169
    this.ScenarioSetup(scenarioInfo);
#line 170
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 171
    testRunner.And("1 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 172
    testRunner.And("1 SKU 100006 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 173
    testRunner.And("Collegue Discount amount for SKUs 500300 is 6.79", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 174
    testRunner.And("Collegue Discount amount for SKUs 100006 is 59.2", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 175
    testRunner.And("Was paid by cash for 263.98 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 176
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 177
    testRunner.Then("Where is sale in BO db with total amount equal 263.98, discount equal 65.99, tax " +
                    "amount equal 44.00, value added tax equal 44.00", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 178
    testRunner.And("There is information about employee card number in BO db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 179
    testRunner.And("There is line for SKU 500300 with price equal 27.18, amount equal 27.18, discount" +
                    " equal 6.79, value added tax equal 4.53", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 180
    testRunner.And("There is line for SKU 100006 with price equal 236.80, amount equal 236.80, discou" +
                    "nt equal 59.2, value added tax equal 39.47", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Sale includes information about colleague discount applied to only one of several" +
            " SKUs")]
        public virtual void SaleIncludesInformationAboutColleagueDiscountAppliedToOnlyOneOfSeveralSKUs()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Sale includes information about colleague discount applied to only one of several" +
                    " SKUs", ((string[])(null)));
#line 182
    this.ScenarioSetup(scenarioInfo);
#line 183
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 184
    testRunner.And("1 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 185
    testRunner.And("1 SKU 100006 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 186
    testRunner.And("Collegue Discount amount for SKUs 500300 is 6.79", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 187
    testRunner.And("Was paid by cash for 293.18 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 188
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 189
    testRunner.Then("Where is sale in BO db with total amount equal 323.18, discount equal 6.79, tax a" +
                    "mount equal 53.86, value added tax equal 53.86", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 190
    testRunner.And("There is information about employee card number in BO db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 191
    testRunner.And("There is line for SKU 500300 with price equal 27.18, amount equal 27.18, discount" +
                    " equal 6.79, value added tax equal 4.53", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 192
    testRunner.And("There is line for SKU 100006 with price equal 296.00, amount equal 296.00, discou" +
                    "nt equal 0.00, value added tax equal 49.33", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Sale includes information about transaction with price override")]
        public virtual void SaleIncludesInformationAboutTransactionWithPriceOverride()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Sale includes information about transaction with price override", ((string[])(null)));
#line 194
    this.ScenarioSetup(scenarioInfo);
#line 195
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 196
    testRunner.And("2 SKU 100006 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 197
    testRunner.And("Price for SKU 100006 was overriden by 200.00 pounds with reason code Managers Dis" +
                    "cretion by Supervisor \'033\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 198
    testRunner.And("Was paid by cash for 400.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 199
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 200
    testRunner.Then("There is sale in BO db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 201
    testRunner.And("There is line with 2 SKU 100006", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 202
    testRunner.And("Price of SKU 100006 is 200.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 203
    testRunner.And("Price override change price difference of SKU 100006 is 96.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 204
    testRunner.And("Price override code of SKU 100006 is Managers Discretion", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 205
    testRunner.And("Employee discount amount of SKU 100006 is 0.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Sale includes information about transaction with several price overrides")]
        public virtual void SaleIncludesInformationAboutTransactionWithSeveralPriceOverrides()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Sale includes information about transaction with several price overrides", ((string[])(null)));
#line 207
    this.ScenarioSetup(scenarioInfo);
#line 208
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 209
    testRunner.And("2 SKU 100006 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 210
    testRunner.And("Price Override with code Manager Discretion with Amount 60.00 was applied to SKU " +
                    "100006", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 211
    testRunner.And("Price Override with code Damaged Goods with Amount 30.00 was applied to SKU 10000" +
                    "6", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 212
    testRunner.And("Was paid by cash for 502.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 213
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 214
    testRunner.Then("There is sale in BO db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 215
    testRunner.And("There is line with 2 SKU 100006", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 216
    testRunner.And("Price of SKU 100006 is 251.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 217
    testRunner.And("Price override change price difference of SKU 100006 is 45.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 218
    testRunner.And("Price override code of SKU 100006 is Damaged Goods", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Sale includes information about transaction price override with several SKU")]
        public virtual void SaleIncludesInformationAboutTransactionPriceOverrideWithSeveralSKU()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Sale includes information about transaction price override with several SKU", ((string[])(null)));
#line 220
    this.ScenarioSetup(scenarioInfo);
#line 221
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 222
    testRunner.And("2 SKU 100006 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 223
    testRunner.And("Price for SKU 100006 was overriden by 200.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 224
    testRunner.And("3 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 225
    testRunner.And("Price for SKU 500300 was overriden by 30.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 226
    testRunner.And("Was paid by cash for 490.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 227
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 228
    testRunner.Then("There is sale in BO db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 229
    testRunner.And("There is line with 2 SKU 100006", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 230
    testRunner.And("Price of SKU 100006 is 200.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 231
    testRunner.And("Price override change price difference of SKU 100006 is 96.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 232
    testRunner.And("There is line with 3 SKU 500300", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 233
    testRunner.And("Price of SKU 500300 is 30.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 234
    testRunner.And("Price override change price difference of SKU 500300 is 3.97 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Sale includes information about transaction price override with indivisible remai" +
            "nder")]
        public virtual void SaleIncludesInformationAboutTransactionPriceOverrideWithIndivisibleRemainder()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Sale includes information about transaction price override with indivisible remai" +
                    "nder", ((string[])(null)));
#line 236
    this.ScenarioSetup(scenarioInfo);
#line 237
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 238
    testRunner.And("3 SKU 100006 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 239
    testRunner.And("Price Override with amount 200 was applied to SKU 100006", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 240
    testRunner.And("Was paid by cash for 688.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 241
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 242
    testRunner.Then("There is sale in BO db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 243
    testRunner.And("There is line with 3 SKU 100006", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 244
    testRunner.And("Price of SKU 100006 is 229.34 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 245
    testRunner.And("Price override change price difference of SKU 100006 is 66.66 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 246
    testRunner.And("There is a \'HierarchySpend\' event discount with amount 0.02 and code from databas" +
                    "e for SKU \'100006\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Sale includes information about transaction price override with indivisible remai" +
            "nder that is complement by Employee Discount")]
        public virtual void SaleIncludesInformationAboutTransactionPriceOverrideWithIndivisibleRemainderThatIsComplementByEmployeeDiscount()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Sale includes information about transaction price override with indivisible remai" +
                    "nder that is complement by Employee Discount", ((string[])(null)));
#line 248
    this.ScenarioSetup(scenarioInfo);
#line 249
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 250
    testRunner.And("3 SKU 100006 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 251
    testRunner.And("Price Override with amount 200 was applied to SKU 100006", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 252
    testRunner.And("Collegue Discount amount for SKUs 100006 is 221.02", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 253
    testRunner.And("Was paid by cash for 688.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 254
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 255
    testRunner.Then("There is sale in BO db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 256
    testRunner.And("There is line with 3 SKU 100006", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 257
    testRunner.And("There is line for SKU 100006 with price equal 155.94, amount equal 467.83, discou" +
                    "nt equal 73.67, value added tax equal 77.97", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 258
    testRunner.And("Price override change price difference of SKU 100006 is 66.67 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 259
    testRunner.And("There is no \'HierarchySpend\' event discount for SKU 100006", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Markdown stock sale")]
        public virtual void MarkdownStockSale()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Markdown stock sale", ((string[])(null)));
#line 261
    this.ScenarioSetup(scenarioInfo);
#line 262
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 263
    testRunner.And("3 SKU 100006 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 264
    testRunner.And("Price Override with code HDC Return with Amount 60.00 was applied to SKU 100006", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 265
    testRunner.And("SKU 100006 was marked as from Markdown stock", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 266
    testRunner.And("Was paid by cash for 708.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 267
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 268
    testRunner.Then("There is sale in BO db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 269
    testRunner.And("There is line with 3 SKU 100006", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 270
    testRunner.And("Price of SKU 100006 is 276.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 271
    testRunner.And("Price override change price difference of SKU 100006 is 20.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 272
    testRunner.And("Price override code of SKU 100006 is 53", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 273
    testRunner.And("Line for SKU 100006 is from markdown stock", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Markdown stock sale without any Price Override Discount")]
        public virtual void MarkdownStockSaleWithoutAnyPriceOverrideDiscount()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Markdown stock sale without any Price Override Discount", ((string[])(null)));
#line 275
    this.ScenarioSetup(scenarioInfo);
#line 276
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 277
    testRunner.And("3 SKU 100006 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 278
    testRunner.And("Price of SKU 100006 was 276.00", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 279
    testRunner.And("SKU 100006 was marked as from Markdown stock", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 280
    testRunner.And("Was paid by cash for 708.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 281
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 282
    testRunner.Then("There is sale in BO db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 283
    testRunner.And("There is line with 3 SKU 100006", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 284
    testRunner.And("Price of SKU 100006 is 276.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 285
    testRunner.And("Price override change price difference of SKU 100006 is 20.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 286
    testRunner.And("Price override code of SKU 100006 is 53", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 287
    testRunner.And("Line for SKU 100006 is from markdown stock", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Markdown stock sale with Price Match discount instead of Price Override")]
        public virtual void MarkdownStockSaleWithPriceMatchDiscountInsteadOfPriceOverride()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Markdown stock sale with Price Match discount instead of Price Override", ((string[])(null)));
#line 289
    this.ScenarioSetup(scenarioInfo);
#line 290
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 291
    testRunner.And("3 SKU 100006 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 292
    testRunner.And("Price for SKU 100006 was overriden by Supervisor \'055\' by 276.00 pounds with reas" +
                    "on code Price Match or Promise and Competitor Name \'Jewson\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 293
    testRunner.And("SKU 100006 was marked as from Markdown stock", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 294
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 295
    testRunner.Then("There is sale in BO db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 296
    testRunner.And("There is line with 3 SKU 100006", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 297
    testRunner.And("Price of SKU 100006 is 276.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 298
    testRunner.And("Price override change price difference of SKU 100006 is 20.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 299
    testRunner.And("Price override code of SKU 100006 is 53", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 300
    testRunner.And("Line for SKU 100006 is from markdown stock", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Sale includes information about several Collegue Discounts")]
        public virtual void SaleIncludesInformationAboutSeveralCollegueDiscounts()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Sale includes information about several Collegue Discounts", ((string[])(null)));
#line 302
    this.ScenarioSetup(scenarioInfo);
#line 303
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 304
    testRunner.And("1 SKU 100006 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 305
    testRunner.And("Employee \'022\' discount amount for SKU 100006 was 30", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 306
    testRunner.And("Employee \'033\' discount amount for SKU 100006 was 29.2", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 307
    testRunner.And("Was paid by cash for 798.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 308
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 309
    testRunner.Then("There is sale in BO db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 310
    testRunner.And("Transaction is marked as Supervisor Used", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 311
    testRunner.And("There is line with 1 SKU 100006", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 312
    testRunner.And("There is line for SKU 100006 with price equal 236.8, amount equal 236.8, discount" +
                    " equal 59.2, value added tax equal 39.47", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 313
    testRunner.And("Supervisor Number for the Transaction is \'033\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Sale includes information about several gift card payments")]
        public virtual void SaleIncludesInformationAboutSeveralGiftCardPayments()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Sale includes information about several gift card payments", ((string[])(null)));
#line 315
    this.ScenarioSetup(scenarioInfo);
#line 316
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 317
    testRunner.And("Was paid by GiftCard for 100.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 318
    testRunner.And("Was paid by GiftCard for 69.85 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 319
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 320
    testRunner.Then("There is information about GiftCard with 100.00 pounds payment in DB under sequen" +
                    "ce number 1", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 321
    testRunner.Then("There is information about GiftCard with 69.85 pounds payment in DB under sequenc" +
                    "e number 2", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Sale includes information about transaction Price Match or Promise price override" +
            "")]
        public virtual void SaleIncludesInformationAboutTransactionPriceMatchOrPromisePriceOverride()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Sale includes information about transaction Price Match or Promise price override" +
                    "", ((string[])(null)));
#line 323
    this.ScenarioSetup(scenarioInfo);
#line 324
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 325
    testRunner.And("2 SKU 100006 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 326
    testRunner.And("Price for SKU 100006 was overriden by Supervisor \'055\' by 200.00 pounds with reas" +
                    "on code Price Match or Promise and Competitor Name \'Jewson\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 327
    testRunner.And("Price Override with amount 30 was applied to SKU 100006", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 328
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 329
    testRunner.Then("Price Override Code for SKU 100006 is Price Match code", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 330
    testRunner.And("Transaction is marked as Supervisor Used", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 331
    testRunner.And("There is a Price Match or Promise line item information with Competitor Name \'Jew" +
                    "son\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Sale includes information about transaction Price Match or Promise price override" +
            " for several products")]
        public virtual void SaleIncludesInformationAboutTransactionPriceMatchOrPromisePriceOverrideForSeveralProducts()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Sale includes information about transaction Price Match or Promise price override" +
                    " for several products", ((string[])(null)));
#line 333
this.ScenarioSetup(scenarioInfo);
#line 334
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 335
    testRunner.And("2 SKU 100006 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 336
    testRunner.And("Price for SKU 100006 was overriden by 200.00 pounds with reason code Price Match " +
                    "or Promise and Competitor Name \'Jewson\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 337
    testRunner.And("3 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 338
    testRunner.And("Price for SKU 500300 was overriden by 30.00 pounds with reason code Price Match o" +
                    "r Promise and Competitor Name \'Amazon\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 339
    testRunner.And("Price Override with amount 30 was applied to SKU 100006", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 340
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 341
    testRunner.Then("Price Override Code for SKU 100006 is Price Match code", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 342
    testRunner.And("Price Override Code for SKU 500300 is Price Match code", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 343
    testRunner.And("There is a Price Match or Promise line item information with Competitor Name \'Jew" +
                    "son\' for product line 1", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 344
    testRunner.And("There is a Price Match or Promise line item information with Competitor Name \'Ama" +
                    "zon\' for product line 2", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Sale includes information about transaction Price Match or Promise price override" +
            " and simple Price Override")]
        public virtual void SaleIncludesInformationAboutTransactionPriceMatchOrPromisePriceOverrideAndSimplePriceOverride()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Sale includes information about transaction Price Match or Promise price override" +
                    " and simple Price Override", ((string[])(null)));
#line 346
    this.ScenarioSetup(scenarioInfo);
#line 347
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 348
    testRunner.And("2 SKU 100006 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 349
    testRunner.And("Price for SKU 100006 was overriden by 200.00 pounds with reason code Price Match " +
                    "or Promise and Competitor Name \'Jewson\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 350
    testRunner.And("Price Override with amount 30 was applied to SKU 100006", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 351
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 352
    testRunner.Then("Price override change price difference of SKU 100006 is 111.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 353
    testRunner.And("Price Override Code for SKU 100006 is Price Match code", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 354
    testRunner.And("There is a Price Match or Promise line item information with Competitor Name \'Jew" +
                    "son\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Sale includes information about positive price erosion")]
        public virtual void SaleIncludesInformationAboutPositivePriceErosion()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Sale includes information about positive price erosion", ((string[])(null)));
#line 356
    this.ScenarioSetup(scenarioInfo);
#line 357
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 358
    testRunner.And("1 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 359
    testRunner.And("Price of SKU 500300 was 23.97", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 360
    testRunner.And("In db price of SKU 500300 was 33.97", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 361
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 362
    testRunner.Then("Price of SKU 500300 is 23.97 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 363
    testRunner.And("Initial price of SKU 500300 is equal to db price", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 364
    testRunner.And("Price override change price difference of SKU 500300 is 10.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 365
    testRunner.And("Price override code of SKU 500300 is Temporary Deal Group", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Sale includes information about negative price erosion")]
        public virtual void SaleIncludesInformationAboutNegativePriceErosion()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Sale includes information about negative price erosion", ((string[])(null)));
#line 367
    this.ScenarioSetup(scenarioInfo);
#line 368
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 369
    testRunner.And("1 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 370
    testRunner.And("Price of SKU 500300 was 43.97", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 371
    testRunner.And("In db price of SKU 500300 was 33.97", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 372
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 373
    testRunner.Then("There is sale in BO db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 374
    testRunner.And("Price of SKU 500300 is 43.97 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 375
    testRunner.And("Initial price of SKU 500300 is equal to db price", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 376
    testRunner.And("Price override change price difference of SKU 500300 is -10.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 377
    testRunner.And("Price override code of SKU 500300 is Temporary Deal Group", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Sale includes information about transaction price override and price erosion")]
        public virtual void SaleIncludesInformationAboutTransactionPriceOverrideAndPriceErosion()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Sale includes information about transaction price override and price erosion", ((string[])(null)));
#line 379
   this.ScenarioSetup(scenarioInfo);
#line 380
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 381
    testRunner.And("1 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 382
    testRunner.And("Price of SKU 500300 was 28.97", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 383
    testRunner.And("In db price of SKU 500300 was 33.97", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 384
    testRunner.And("Price for SKU 500300 was overriden by 23.97 pounds with reason code Damaged Goods" +
                    "", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 385
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 386
    testRunner.Then("There is sale in BO db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 387
    testRunner.And("Price of SKU 500300 is 23.97 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 388
    testRunner.And("Initial price of SKU 500300 is equal to db price", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 389
    testRunner.And("Price override change price difference of SKU 500300 is 10.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 390
    testRunner.And("Price override code of SKU 500300 is Damaged Goods", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Sale includes information about equal transaction price override and price erosio" +
            "n")]
        public virtual void SaleIncludesInformationAboutEqualTransactionPriceOverrideAndPriceErosion()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Sale includes information about equal transaction price override and price erosio" +
                    "n", ((string[])(null)));
#line 392
    this.ScenarioSetup(scenarioInfo);
#line 393
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 394
    testRunner.And("1 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 395
    testRunner.And("Price of SKU 500300 was 43.97", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 396
    testRunner.And("Price for SKU 500300 was overriden by 33.97 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 397
    testRunner.And("In db price of SKU 500300 was 33.97", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 398
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 399
    testRunner.Then("There is sale in BO db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 400
    testRunner.And("Price of SKU 500300 is 33.97 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 401
    testRunner.And("Initial price of SKU 500300 is equal to db price", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 402
    testRunner.And("Price override change price difference of SKU 500300 is 0.00 pounds", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 403
    testRunner.And("Price override code of SKU 500300 is empty", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Validation error for too long customer name")]
        public virtual void ValidationErrorForTooLongCustomerName()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Validation error for too long customer name", ((string[])(null)));
#line 405
    this.ScenarioSetup(scenarioInfo);
#line 406
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 407
    testRunner.And("Customer name is VasiliyIvanovTooLongNameRequiredVavavavaKurlikKurlikTrolololo", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 408
    testRunner.And("Truncator is turned off", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 409
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 410
    testRunner.Then("Validation exception has been thrown", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Validation error for too long delivery instructions")]
        public virtual void ValidationErrorForTooLongDeliveryInstructions()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Validation error for too long delivery instructions", ((string[])(null)));
#line 412
    this.ScenarioSetup(scenarioInfo);
#line 413
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 414
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 415
    testRunner.And("3 items for line 1 were collected instantly", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 416
    testRunner.And("2 items for line 1 were delivered", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 417
    testRunner.And(@"Delivery Instruction was ""VasiliyIvanovTooLongNameRequiredVavavavaKurlikKurlikTrolololoVasiliyIvanovTooLongNameRequiredVavavavaKurlikKurlikTrolololoVasiliyIvanovTooLongNameRequiredVavavavaKurlikKurlikTrolololoVasiliyIvanovTooLongNameRequiredVavavavaKurlikKurlikTrolololo""", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 418
    testRunner.And("Truncator is turned off", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 419
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 420
    testRunner.Then("Validation exception has been thrown", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Too long customer name is truncated")]
        public virtual void TooLongCustomerNameIsTruncated()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Too long customer name is truncated", ((string[])(null)));
#line 422
    this.ScenarioSetup(scenarioInfo);
#line 423
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 424
    testRunner.And("Customer name is VasiliyIvanovTooLongNameRequiredVavavavaKurlikKurlikTrolololo", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 425
    testRunner.And("Truncator is turned on", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 426
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 427
    testRunner.Then("Customer info for VasiliyIvanovTooLongNameRequir is added to db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Too long delivery instruction is truncated")]
        public virtual void TooLongDeliveryInstructionIsTruncated()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Too long delivery instruction is truncated", ((string[])(null)));
#line 429
    this.ScenarioSetup(scenarioInfo);
#line 430
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 431
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 432
    testRunner.And("3 items for line 1 were collected instantly", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 433
    testRunner.And("2 items for line 1 were delivered", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 434
    testRunner.And(@"Delivery Instruction was ""VasiliyIvanovTooLongNameRequiredVavavavaKurlikKurlikTrolololoVasiliyIvanovTooLongNameRequiredVavavavaKurlikKurlikTrolololoVasiliyIvanovTooLongNameRequiredVavavavaKurlikKurlikTrolololoVasiliyIvanovTooLongNameRequiredVavavavaKurlikKurlikTrolololo""", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 435
    testRunner.And("Truncator is turned on", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 436
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 437
    testRunner.Then("There is a Delivery Instruction \"VasiliyIvanovTooLongNameRequiredVavavavaKurlikKu" +
                    "rlikTrolololoVasiliyIvanovTooLongNameRequiredVavavavaKurlikKurlikTrolololoVasili" +
                    "yIvanovTooLongNameRequiredVavavavaKurlikKurlikTrolololoVasiliyIvanovTooL\"", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Sale is saved to ledger with Online status")]
        public virtual void SaleIsSavedToLedgerWithOnlineStatus()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Sale is saved to ledger with Online status", ((string[])(null)));
#line 439
    this.ScenarioSetup(scenarioInfo);
#line 440
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 441
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 442
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 443
    testRunner.Then("There is sale in BO db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 444
    testRunner.And("Transaction is marked as Online", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Sale includes survey postcode information")]
        public virtual void SaleIncludesSurveyPostcodeInformation()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Sale includes survey postcode information", ((string[])(null)));
#line 446
    this.ScenarioSetup(scenarioInfo);
#line 447
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 448
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 449
    testRunner.And("Survey Postcode is \'QQ11QQ\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 450
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 451
    testRunner.Then("There is sale in BO db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 452
    testRunner.And("There is line with 5 SKU 500300", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 453
    testRunner.And("There is Customer Line with the sale Date, Till Number, Transaction Number and Po" +
                    "stcode \'QQ11QQ\' and other fields with default values", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Sale with all reversed refunded lines and filled customer")]
        public virtual void SaleWithAllReversedRefundedLinesAndFilledCustomer()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Sale with all reversed refunded lines and filled customer", ((string[])(null)));
#line 455
    this.ScenarioSetup(scenarioInfo);
#line 456
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 457
    testRunner.And("Customer name is Vasiliy Ivanov", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 458
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 459
    testRunner.And("5 SKU 100006 were refunded with reason \'Parts Missing\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 460
    testRunner.And("Line for SKU 100006 is reversed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 461
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 462
    testRunner.Then("There is sale in BO db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 463
    testRunner.And("There is no new customer information in database", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Sale includes information about Manager")]
        public virtual void SaleIncludesInformationAboutManager()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Sale includes information about Manager", ((string[])(null)));
#line 465
    this.ScenarioSetup(scenarioInfo);
#line 466
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 467
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 468
    testRunner.And("Manager id was \'033\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 469
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 470
    testRunner.Then("There is sale in BO db", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 471
    testRunner.And("Transaction is marked as Supervisor Used", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
    }
}
#pragma warning restore
#endregion
